Package org.apache.tools.ant.types.resources.selectors

## Class Exists

- java.lang.Object
- - org.apache.tools.ant.types.resources.selectors.Exists

- All Implemented Interfaces:
    `ResourceSelector`

      public class Exists
      extends java.lang.Object
      implements ResourceSelector

  Exists ResourceSelector.
  Since:
    Ant 1.7

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Exists()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isSelected​(Resource r)` | Return true if this Resource is selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Exists

          public Exists()

  - ### Method Detail

    - #### isSelected

          public boolean isSelected​(Resource r)

      Return true if this Resource is selected.
      Specified by:
        `isSelected` in interface `ResourceSelector`
      Parameters:
        `r` - the Resource to check.
      Returns:
        whether the Resource was selected.